#define Toolbar_Init
// Calls
global.BZTOOLBARCREATE          = external_define("BZToolbar.dll","bz_setup_toolbar",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLADDBUTTON    = external_define("BZToolbar.dll","bz_toolbar_addbutton",dll_cdecl,ty_real,2,ty_real,ty_real);
global.BZTOOLBARDLLADDBITMAP    = external_define("BZToolbar.dll","bz_toolbar_addbitmap",dll_cdecl,ty_real,3,ty_string,ty_real,ty_real);
global.BZTOOLBARDLLCLEANUP      = external_define("BZToolbar.dll","bz_toolbar_cleanup",dll_cdecl,ty_real,0);
global.BZTOOLBARDLLADDSEP       = external_define("BZToolbar.dll","bz_toolbar_addseparator",dll_cdecl,ty_real,0);
global.BZTOOLBARDLLGETHEIGHT    = external_define("BZToolbar.dll","bz_toolbar_getheight",dll_cdecl,ty_real,0);
global.BZTOOLBARDLLBTNCLICKED   = external_define("BZToolbar.dll","bz_toolbar_button_clicked",dll_cdecl,ty_real,0);
global.BZTOOLBARDLLBTNISENABLED = external_define("BZToolbar.dll","bz_toolbar_button_enabled",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLBTNENABLE    = external_define("BZToolbar.dll","bz_toolbar_button_enable",dll_cdecl,ty_real,2,ty_real,ty_real);
global.BZTOOLBARDLLCHANGEBMP    = external_define("BZToolbar.dll","bz_toolbar_change_bitmap",dll_cdecl,ty_real,2,ty_real,ty_real);
global.BZTOOLBARDLLGETBITMAP    = external_define("BZToolbar.dll","bz_toolbar_getbitmap",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLMOVEBUTTON   = external_define("BZToolbar.dll","bz_toolbar_move_button",dll_cdecl,ty_real,2,ty_real,ty_real);
global.BZTOOLBARDLLSHOWBUTTON   = external_define("BZToolbar.dll","bz_toolbar_show_button",dll_cdecl,ty_real,2,ty_real,ty_real);
global.BZTOOLBARDLLBTNSHOWN     = external_define("BZToolbar.dll","bz_toolbar_button_shown",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLINSERTBTN    = external_define("BZToolbar.dll","bz_toolbar_insert_button",dll_cdecl,ty_real,3,ty_real,ty_real,ty_real);
global.BZTOOLBARDLLDELETEBTN    = external_define("BZToolbar.dll","bz_toolbar_delete_button",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLBTNGETPOS    = external_define("BZToolbar.dll","bz_toolbar_getposition",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLSHOW         = external_define("BZToolbar.dll","bz_toolbar_show",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLVISIBLE      = external_define("BZToolbar.dll","bz_toolbar_visible",dll_cdecl,ty_real,0);
global.BZTOOLBARDLLREMOVE       = external_define("BZToolbar.dll","bz_toolbar_remove",dll_cdecl,ty_real,0);
global.BZTOOLBARDLLEXISTS       = external_define("BZToolbar.dll","bz_toolbar_exists",dll_cdecl,ty_real,0);
global.BZTOOLBARDLLSETY         = external_define("BZToolbar.dll","bz_toolbar_sety",dll_cdecl,ty_real,1,ty_real);
global.BZTOOLBARDLLGETY         = external_define("BZToolbar.dll","bz_toolbar_gety",dll_cdecl,ty_real,1,ty_real);
#define Toolbar_Create
// Prepares and creates the Toolbar
// argument0 - the window handle
external_call(global.BZTOOLBARCREATE,argument0);
#define Toolbar_AddButton
// Adds a button to the toolbar
// argument0 - the button image
// argument1 - start as enabled(true) or disabled(false)

// Standard Bitmaps:
//  0 - Cut image
//  1 - Copy image
//  2 - Paste image
//  3 - Undo image
//  4 - Redo image
//  5 - Delete image
//  6 - New image
//  7 - Open image
//  8 - Save image
//  9 - Print Preview image
// 10 - Properties image
// 11 - Help image
// 12 - Find image
// 13 - Replace image
// 14 - Print image
external_call(global.BZTOOLBARDLLADDBUTTON,argument0,argument1);
#define Toolbar_AddBitmap
// Loads a bitmap to use on a button
// argument0 - the bitmap file
// argument1 - number of images in bitmap
// argument2 - whether to load the bitmap as transparent
// NOTE: Transparency with bitmaps is based off the first pixel (0,0)
// ALSO NOTE: Transparency only works with 256 Color bitmaps or lower
//             so no 24-bit bitmaps...
external_call(global.BZTOOLBARDLLADDBITMAP,string(argument0),argument1,argument2);
#define Toolbar_AddSep
// Adds a separator(blank space) to the toolbar
external_call(global.BZTOOLBARDLLADDSEP);
#define Toolbar_GetHeight
// Gets the height of the toolbar
external_call(global.BZTOOLBARDLLGETHEIGHT);
#define Toolbar_CleanUp
// Cleans up after loaded bitmap images for buttons
// If you only used the standard images using Toolbar_AddButton()
// then you are not required to use this scrpt
external_call(global.BZTOOLBARDLLCLEANUP);
external_free("BZToolbar.dll");
#define Toolbar_Button_Clicked
// Gets the currently pressed button, -1 if none are pressed
external_call(global.BZTOOLBARDLLBTNCLICKED);
#define Toolbar_Button_IsEnabled
// Checks if a button is enabled
// argument0 - button
external_call(global.BZTOOLBARDLLBTNISENABLED,argument0);
#define Toolbar_Button_Enable
// Enables or disables a button
// argument0 - button
// argument1 - true or false (enabled or disabled)
external_call(global.BZTOOLBARDLLBTNENABLE,argument0,argument1);
#define Toolbar_GetBitmap
// Gets the bitmap used by a button
// argument0 - button
external_call(global.BZTOOLBARDLLGETBITMAP,argument0);
#define Toolbar_MoveItem
// Moves an item in the toolbar at one position to another
// argument0 - old position
// argument1 - new position
external_call(global.BZTOOLBARDLLMOVEBUTTON,argument0,argument1);
#define Toolbar_Button_Show
// Moves a button at one position to another
// argument0 - button
// argument1 - show(true) or hide(false)
external_call(global.BZTOOLBARDLLSHOWBUTTON,argument0,argument1);
#define Toolbar_Button_IsShown
// Gets whether a button is shown or hidden
// argument0 - button
external_call(global.BZTOOLBARDLLBTNSHOWN,argument0);
#define Toolbar_InsertButton
// Inserts a button with the specified bitmap into a position
// argument0 - position
// argument1 - bitmap
// argument2 - start as enabled(true) or disabled(false)

// Standard Bitmaps:
//  0 - Cut image
//  1 - Copy image
//  2 - Paste image
//  3 - Undo image
//  4 - Redo image
//  5 - Delete image
//  6 - New image
//  7 - Open image
//  8 - Save image
//  9 - Print Preview image
// 10 - Properties image
// 11 - Help image
// 12 - Find image
// 13 - Replace image
// 14 - Print image
external_call(global.BZTOOLBARDLLINSERTBTN,argument0,argument1,argument2);
#define Toolbar_DeleteItem
// Removes a Button or Separator from the toolbar
// argument0 - item
external_call(global.BZTOOLBARDLLDELETEBTN,argument0);
#define Toolbar_GetPos
// Gets the position of an item
// argument0 - item
external_call(global.BZTOOLBARDLLBTNGETPOS,argument0);
#define Toolbar_ChangeBitmap
// Changes the bitmap of a button
// argument0 - button
// argument1 - bitmap
external_call(global.BZTOOLBARDLLCHANGEBMP,argument0,argument1);
#define Toolbar_Show
// Shows or hides a toolbar
// argument0 - show(true) or hide(false)
external_call(global.BZTOOLBARDLLSHOW,argument0);
#define Toolbar_IsVisible
// Gets whether the toolbar is visible or not
external_call(global.BZTOOLBARDLLVISIBLE);
#define Toolbar_Remove
// Deletes/Removes a toolbar from the window
external_call(global.BZTOOLBARDLLREMOVE);
#define Toolbar_Exists
// Gets whether the toolbar exists or not
external_call(global.BZTOOLBARDLLEXISTS);
#define Toolbar_SetY
// Changes the y position of the toolbar
// argument0 - new y position
external_call(global.BZTOOLBARDLLSETY,argument0);
#define Toolbar_GetY
// Gets the y position of the toolbar
external_call(global.BZTOOLBARDLLGETY,window_get_y());
